Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-0036

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2014-0036
Last Modified 18 Apr 2014 09:48:54
Published 17 Apr 2014 10:55:06
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2014-0036

Summary

The rbovirt gem before 0.0.24 for Ruby uses the rest-client gem with SSL verification disabled, which allows remote attackers to conduct man-in-the-middle attacks via unspecified vectors.

Vulnerable Systems

Application

  • Amos Benari Rbovirt 0.0.1

  • Amos Benari Rbovirt 0.0.10

  • Amos Benari Rbovirt 0.0.11

  • Amos Benari Rbovirt 0.0.12

  • Amos Benari Rbovirt 0.0.13

  • Amos Benari Rbovirt 0.0.14

  • Amos Benari Rbovirt 0.0.15

  • Amos Benari Rbovirt 0.0.16

  • Amos Benari Rbovirt 0.0.17

  • Amos Benari Rbovirt 0.0.18

  • Amos Benari Rbovirt 0.0.19

  • Amos Benari Rbovirt 0.0.2

  • Amos Benari Rbovirt 0.0.20

  • Amos Benari Rbovirt 0.0.21

  • Amos Benari Rbovirt 0.0.22

  • Amos Benari Rbovirt 0.0.23

  • Amos Benari Rbovirt 0.0.3

  • Amos Benari Rbovirt 0.0.4

  • Amos Benari Rbovirt 0.0.5

  • Amos Benari Rbovirt 0.0.6

  • Amos Benari Rbovirt 0.0.7

  • Amos Benari Rbovirt 0.0.8

  • Amos Benari Rbovirt 0.0.9


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=1058595

MLIST - [oss-security] 20140306 CVE-2014-0036 rubygem-rbovirt: unsafe use of rest-client

FEDORA - FEDORA-2014-3526

FEDORA - FEDORA-2014-3573


Last Updated: 27 May 2016 11:05:02